PDA

View Full Version : 3E D&D / Pathfinder - Community Extensions



graphil
January 20th, 2012, 00:44
3.5E and PFRPG ruleset version update: FG v3.3.8 has been pushed via the FG update mechanism.

There are some changes to the 3.5E/PFRPG rulesets in this update, so some of the following extensions will need updating to work with FG v3.3.8.

Note: With the release of FG v3.3.8 some of these extensions might not work properly or be visible for selection in PFRPG campaigns - please comment in the specific extension thread if you experience issues.

Some generic FG v3.3.8 extensions that can be used with 3.5e and Pathfinder are available here: http://www.fantasygrounds.com/forums/showthread.php?20320-FG-3-0-CoreRPG-Extensions

These are the ones I have so far.


DOE: Base Extension v4.0.0 (http://www.fantasygrounds.com/forums/showthread.php?27158-DOE-Base-Extension) The Base Extensions for all DOE Extensions. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Alignment Graph v3.0.0 (http://www.fantasygrounds.com/forums/showthread.php?25319-DOE-Alignment-Graph-Extension) Graph Players Alignments. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Campaign Style Graph v3.0.0 (http://www.fantasygrounds.com/forums/showthread.php?25320-DOE-Campaign-Style-Graph-Extension) Graph the Style of your game. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Locations Extension v5.0.0 (http://www.fantasygrounds.com/forums/showthread.php?20794-DOE-Locations-Extension) A database for the recording of Physical and Geopolitical Locations. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: OLE Extension v3.0.0 (http://www.fantasygrounds.com/forums/showthread.php?34735-DOE-OLE-Extension) An Extension that brings the ability to link to external URLs to Fantasy Grounds. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Organisations Extension v2.0.0 (http://www.fantasygrounds.com/forums/showthread.php?27169-DOE-Organisations-Extension) A database for the recording of various Organisations. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Sound Extension v5.0.0 (http://www.fantasygrounds.com/forums/showthread.php?31369-DOE-Sound-Extension) An Extension that integrates and automates sounds using a 3rd-Party Sound System (eg Syrinscape). Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
DOE: Weather Extension v5.0.0 (http://www.fantasygrounds.com/forums/showthread.php?22142-DOE-Weather-Extension) Generate the Day-To-Day Weather. Updated November 10th, 2019. FG v3.3.8 & FG v3.3.9 compatible.
Advanced Effects for 3.5E and Pathfinder (https://www.fantasygrounds.com/forums/showthread.php?48977-Advanced-3-5e-and-Pathfinder-effects)
Save vs Tags (https://www.fantasygrounds.com/forums/showthread.php?50297-(New-IF-operator)-New-and-much-better-version-of-Save-versus-tags)
Attack of Opportunity Tracker (hhttps://www.fantasygrounds.com/forums/showthread.php?50075-Attack-of-Opportunity-tracker)
Anti Magic (https://www.fantasygrounds.com/forums/showthread.php?49350-Antimagic-(at-least-a-helping-tool))
Full Overlay Package 3.5E (https://www.fantasygrounds.com/forums/showthread.php?50143-Save-overlay-extension-(idea-from-Ken-L))
Full Overlay Package Pathfinder (https://www.fantasygrounds.com/forums/showthread.php?50895-Kelrugem-s-extensions&p=452699&viewfull=1#post452699))
Advanced Effects for 3.5e and AoO tracker combined 3.5E (https://www.fantasygrounds.com/forums/showthread.php?50895-Kelrugem-s-extensions&p=452699&viewfull=1#post452699)
Advanced Effects for 3.5e and AoO tracker combined Pathfinder (https://www.fantasygrounds.com/forums/showthread.php?50895-Kelrugem-s-extensions&p=452700&viewfull=1#post452700)
Mirror image handling (https://www.fantasygrounds.com/forums/showthread.php?46971-Mirror-Image-Handler-extension)
Pathfinder GM screen decals (https://www.fantasygrounds.com/forums/showthread.php?43128-Erins-GM-Screen-Decal-extension)
Field filter for all libraries (https://www.fantasygrounds.com/forums/showthread.php?40954-Field-Filters-for-All-Libraries)
Universal Modules (https://www.fantasygrounds.com/forums/showthread.php?41034-Universal-Module-Extension) Open modules from other rulesets.
Enhanced items v4. (https://www.fantasygrounds.com/forums/showthread.php?40602-Extension-Enhanced-Items-v4)
Encumbrance in KG (https://www.fantasygrounds.com/forums/showthread.php?40382-Encumbrance-in-Kilogrammes-extension)
Combat shortcuts on the actions tab (https://www.fantasygrounds.com/forums/showthread.php?40381-Combat-Shortcuts-actions-extension)
Player Effect Removal (https://www.fantasygrounds.com/forums/showthread.php?40290-PF-Player-Effect-Removal-Extension) Allows players to remove effects that have applied Update to v2 required for FG v3.3.2 compatibility.
Strain-Injury HP variant (http://www.fantasygrounds.com/forums/showthread.php?26351-Strain-Injury-HP-Variant-Extension) Update to v1.5.0 required for FG v3.3.2.
Keen condition (https://www.fantasygrounds.com/forums/showthread.php?30567-Keen-Improved-Critical-Extension) - quickly double critical threat range using the keen condition/effect. v1.2 required for FG v3.3.2 compatibility.
New effects icons (http://www.fantasygrounds.com/forums/showthread.php?38817-Comprehensive-Effects-Icon-extension) New June 2017.
Customized Item Generator (https://www.fantasygrounds.com/forums/showthread.php?38761-CustomisedItemGenerator-Extension) New June 2017.
Drag Party Sheet Skill Rolls to the HotKey bar (http://www.fantasygrounds.com/forums/showthread.php?22381-HotKey-Party-Sheet-Skill-Roll-Extension) v3.2.1 should be compatible with FG v3.3.0.
Pathfinder Statblock import (in game) (https://www.fantasygrounds.com/forums/showthread.php?34199-CreatureGen-Extension-Import-Stat-blocks-on-the-fly-with-populated-spells) Update for FG v3.2.0 compatibility.
Combat Tracker Timer (https://www.fantasygrounds.com/forums/showthread.php?30856-Combat-Timer-Extension-(v-0-0-1))
LPak Community Project/Program (http://www.fantasygrounds.com/forums/showthread.php?27202-LanguagePak-%28LPak%29-Community-Project-Program) A set of Extensions (known as LPaks) that provide non-English languages for Fantasy Grounds and various Extensions.
Alternative wounds colour (https://www.fantasygrounds.com/forums/showthread.php?25352-35PF-Alt-Wound-Colors) Changes the default colours for wounds. New, August 6th, 2105.
Calendar XML Export (http://www.fantasygrounds.com/forums/showthread.php?p=141057) (Added 15th January 2013)
Random Extension (http://www.fantasygrounds.com/forums/showthread.php?t=17072) Now compatible with FG 3.0. March 2014.
Expanded NPC Weapon Damage Types (http://www.fantasygrounds.com/forums/showthread.php?20596-Ext-Expanded-NPC-Weapons) Adds weapons from Ultimate Equipment to the damage types list allowing NPC attacks to use the correct damage type. New - March 2014
ModulePlus (http://www.fantasygrounds.com/forums/showthread.php?20565-ModulePlus-Extension) Copies drag data to the character sheet rather than links - removes the need for the GM to have the same library modules that the player used to create a PC. New March 2014


Please post comments on individual extensions in the specific extension thread (linked above) - please keep this thread for info on new/updated extensions. Thanks!

Developers - you're welcome to look at the code in these extensions as examples of how to develop your own extensions. If you want to use the code, please be polite and get in touch with the developer who made the extension and ask permission to use their code (send them a PM and post in the relevant extension thread). Some developers may no longer be active in the community, give the dev a couple of weeks to respond and if they don't respond you have done the polite thing and should be able to use their code (as long as the extension does not specifically say you can't). If you do use other people's code please mention them in the extension - it's only fair to give credit where credit is due.

Extension developers who don't want other people to use their code should say so in their extension.

Trenloe
January 20th, 2012, 04:56
Older extensions, either not compatible with FG 3.0 or no longer needed:


Enhanced Feats (http://www.fantasygrounds.com/forums/showthread.php?40814-Extension-Enhanced-Feats)Functionality in FG v3.3.5
Resizable PC sheet (http://www.fantasygrounds.com/forums/showthread.php?38816-Improved-resizable-PC-sheet-extension) Functionality in FG v3.3.5
Image Text Labels (https://www.fantasygrounds.com/forums/showthread.php?33696-Image-Text-Label-Extension) - Not compatible with the current version of FG. Update to come in future..
Encounters: auto CR and XP calculation (http://www.fantasygrounds.com/forums/showthread.php?21823-Auto-XP-Calculator-%28Extension%29) Built in for Pathfinder in FG v3.2.x, no longer compatible for 3.5E.
Individual PC XP Assignment (https://www.fantasygrounds.com/forums/showthread.php?33599-Individual-PC-XP-assignment-extension-for-d20-based-rulesets) Not needed in FG 3.2.0+ - functionality built into ruleset.
DC Plus (https://www.fantasygrounds.com/forums/showthread.php?23178-DCPlus) Spell save DC options. Not needed in FG 3.2.0+ - functionality built into ruleset.
Shop and Town Extension (http://www.fantasygrounds.com/forums/showthread.php?16568-Shop-amp-Town-Extension-for-3-5E-Pathfinder-4E&p=166591&viewfull=1#post166591) Updated for FG 3.0. Superseded by the Locations extension above.
Alignment conditions (http://www.fantasygrounds.com/forums/showthread.php?20505-Alignment-Condition-extension&p=168812) PFRPG & 3.5E rulesets Adds alignments as a condition. Allows IFT: <alignment> conditional effects that are useful for special abilities such as a Paladin's smite evil. Final backwards compatible update: 0.6.2 for FG v3.1.2. Do not use with FG v3.1.3+
Unlocking/Moving the dice tower. (http://www.fantasygrounds.com/forums/showthread.php?19510-Unlocking-Moving-the-dice-tower&p=168743&viewfull=1#post168743) Included in FG 3.1.2
Optional Conditions (http://www.fantasygrounds.com/forums/showthread.php?22803-Channel-Divinity-Paladin-Vow-of-Emnity-Effect&p=195251&viewfull=1#post195251) Adds a number of conditions to the ruleset conditions lists - more options for conditional effects. Thanks Draco. Updated June 2015.
Expanded Effects Tags (http://www.fantasygrounds.com/forums/showthread.php?20547-EXT-Expanded-Effect-Tags) Adds new effects tags - CL driven effects and also the AWESOME effect removal tag - allows players to remove their own effects! Thanks Nickademus. February 2014. NOT COMPATIBLE WITH FG 3.0.4+
Ability Damage Action (http://www.fantasygrounds.com/forums/showthread.php?20517-Ext-Ability-Damage-Action) Adds ability damage to the damage action and ability healing to the heal action of a spell in a spell class on the action tab. February 2014. NOT COMPATIBLE WITH FG 3.0.4+
Tenian's language extension for 3.5E (http://www.fantasygrounds.com/forums/showthread.php?t=15561) Updated for FG 3.0 PFRPG ruleset. Newer extension for use with CoreRPG layered rulesets (including 3.5e and Pathfinder) is available here: http://www.fantasygrounds.com/forums/showthread.php?20332-Tenians-Language-Chat-Extension-for-select-FG-3-0-rulesets
Maximum NPC hitpoints (http://www.fantasygrounds.com/forums/showthread.php?t=15662) Not needed in FG 3.0 - functionality included in ruleset via option "CT: NPC Hit Points".
PC Controlled NPCs (http://www.fantasygrounds.com/forums/showthread.php?t=17846) (Added 1st June 2013) No longer needed in FG 3.0 - functionality included in the ruleset.
Killing on minus con (http://www.fantasygrounds.com/forums/showthread.php?t=15917) (Updated 29th December 2012 - V2.9.2 compatible)
coldiron damage type (http://www.fantasygrounds.com/forums/showthread.php?21080-Cold-Iron-damage-type) Temporary work around for "cold iron" being currently seen as "cold" and "iron" damage types - adds "coldiron" as a damage type. Needs manual editing of PC and NPC records to change "cold iron" to "coldiron". Not needed in FG 3.0.4+


The above extensions are listed so that people are aware they are no longer needed, and also to allow extensions developers access to example extensions from which they can learn utilize similar code for their own projects. Developers using pieces of code should also request the original developer's permission and give them credit in any resulting work.

graphil
January 20th, 2012, 23:24
Updated to post to keep everything together.

Ramza0Tyr
January 20th, 2012, 23:48
The FG wiki (http://oberoten.dyndns.org/fgwiki/index.php/Main_Page) has a page for extensions. Check it out! Make sure new extensions make it there. :)

ddavison
January 21st, 2012, 04:31
I went ahead and made this thread sticky. The FG Wiki is a great resource in general though.

graphil
January 21st, 2012, 23:26
Agreed but it doesn't split the extensions into ruleset.

graphil
February 28th, 2012, 00:17
Updated with new extensions.

Trenloe
May 20th, 2012, 19:45
Towns extension here: http://www.fantasygrounds.com/forums/showthread.php?t=16549

V1.1 available in post #9.

graphil
May 21st, 2012, 00:04
Added to first list.

JohnD
May 21st, 2012, 05:23
Hi I'm trying to find the Add Spells to NPCs extension... can't see a link to download. Could someone kindly point the way?

Trenloe
May 21st, 2012, 05:59
Hi I'm trying to find the Add Spells to NPCs extension... can't see a link to download. Could someone kindly point the way?
Madman removed it as the functionality is being integrated into V2.9.

http://www.fantasygrounds.com/forums/showthread.php?t=16103

JohnD
May 21st, 2012, 06:58
Ah... bad news short run; good news long run. Good to know! Thanks.

bradmcadam
May 23rd, 2012, 20:09
Town and Shop extension have been updated and the thread has moved. Please update to
http://www.fantasygrounds.com/forums/showthread.php?t=16568
Version 1.3 is the latest

graphil
May 23rd, 2012, 21:30
First post updated.

Ardem
September 24th, 2012, 16:16
http://www.fantasygrounds.com/forums/showthread.php?t=17072

This is a universal random ext, or atleast I testing it with 3.5 and Rolemaster. Definitely a work in progress

graphil
September 24th, 2012, 23:43
Updated first post

Blackfoot
December 12th, 2012, 02:23
Looks like there 'might' be an issue with the layers extension in 2.9.2.. it seems to break the targeting buttons in the upper left of maps... have to do a bit more testing.
Anyone else find this problem?

Trenloe
December 12th, 2012, 02:53
Looks like there 'might' be an issue with the layers extension in 2.9.2.. it seems to break the targeting buttons in the upper left of maps... have to do a bit more testing.
Anyone else find this problem?
So it does...

Griogre
December 15th, 2012, 20:27
There was comment in the Savage World Forum by meathome about layer problems that might be related. http://www.fantasygrounds.com/forums/showthread.php?p=138957#post138957

Trenloe
January 15th, 2013, 18:58
Added a link to a new Calendar XML Export extension in the first post.

Info and download also available here: http://www.fantasygrounds.com/forums/showthread.php?p=141057

Blackfoot
August 1st, 2013, 07:18
Looks like these are all going to need to be modified so they include PFRPG as a ruleset in 3.0

Myrmidion
November 20th, 2013, 22:37
The enhanced images Extensions seems broken in Version 2.9.4 When I try to share the sheet, only the first layer is shared. When I synch the client view nothing happens.
Anyone got a solution for this?

Trenloe
November 20th, 2013, 23:06
The enhanced images Extensions seems broken in Version 2.9.4 When I try to share the sheet, only the first layer is shared. When I synch the client view nothing happens.
Anyone got a solution for this?
What version of the extension are you using? It will tell you in the chat window when you first load up the campaign.

EDIT: And what other extensions are you using?

Myrmidion
November 21st, 2013, 11:35
Hi, Im using Version 1.42 of the extension with no other extensions used.

Trenloe
November 21st, 2013, 16:51
I've done some testing and it is working OK with me.

What do you have on each of the layers of the image?

If the players zoom out on the shared image (use the mouse wheel), then zoom back in does the image re-synch?

Myrmidion
November 21st, 2013, 20:53
No, it still just shares the bottom Layer. On the Layers I had different kinds of tokens. Thats very strange. Im using the Pathfinder Mode in the 3.5 Ruleset.


Edit: Ive tested some time myself. It looks like if you create a new image, the extension wont work. If the image is put in the folder, then everything works fine.

Trenloe
November 21st, 2013, 22:12
Edit: Ive tested some time myself. It looks like if you create a new image, the extension wont work. If the image is put in the folder, then everything works fine.
It doesn't work at all on new images, that is a blank map/image created by clicking the "new" button in FG - as these aren't actually physical images (i.e. an image file), they are just the drawing and token location details.

Just like masking doesn't work on these "images" either, with or without the layers extension.

Trenloe
November 21st, 2013, 22:13
Edit: Ive tested some time myself. It looks like if you create a new image, the extension wont work. If the image is put in the folder, then everything works fine.
It doesn't work at all on new images, that is a blank map/image created by clicking the "new" button in FG - as these aren't actually physical images (i.e. an image file), they are just the drawing and token location details.

Just like masking doesn't work on these "images" either, with or without the layers extension.

EDIT: If you want to do something similar, build on an actual blank image file - e.g. a 1024x1024 white image file that you add to the \images directory of your campaign.

Nickademus
November 22nd, 2013, 03:52
I ran into this image and just avoided it. Thank you for answering the question I never got around to asking. (And thank you Myrmidion for asking it.)

Myrmidion
November 22nd, 2013, 08:44
Youre welcome. A few days ago I bought the Savage Worlds Ruleset and loaded the ehanced images extension for it. Actually there its possible to create a new drawing. When youre sharing it, then all layers will be shared.

Trenloe
November 22nd, 2013, 16:32
A few days ago I bought the Savage Worlds Ruleset and loaded the ehanced images extension for it. Actually there its possible to create a new drawing. When youre sharing it, then all layers will be shared.
Interesting... I may have a look at this after FG 3.0 is released. The 3.5e ruleset version is a direct port of the original 4e extension - it has a couple of sharing issues that I was hoping I may be able to iron out in FG 3.0...

Myrmidion
November 22nd, 2013, 18:55
Although Ive got zero skills in programming, if I can help in some way, let me know :)

brochr
January 23rd, 2014, 10:51
hi Folks

Big thanks to Trenloe!

The Town & Shops database has been updated for FG 3.0. The new files are here (http://www.fantasygrounds.com/forums/showthread.php?16568-Shop-amp-Town-Extension-for-3-5E-Pathfinder-4E&p=166591&viewfull=1#post166591)

I'm also interested in views on two other extensions..Places and Groups

All the best

Toph

Trenloe
February 20th, 2014, 00:57
Alignment condition extension added: http://www.fantasygrounds.com/forums/showthread.php?20505-Alignment-Condition-extension&p=168812

Jwguy
February 28th, 2014, 08:14
I do not believe the Random Extension is working in the current version. It loads, but has no background in it's menu and the rolls result in errors.

Bidmaron
February 28th, 2014, 16:03
I agree with Jwguy. Been meaning to post that this extension is currently broken.
Also, I think Nickademus released a mod to his effects material that needs updated on this thread.

Trenloe
February 28th, 2014, 17:24
Also, I think Nickademus released a mod to his effects material that needs updated on this thread.
Thanks for the reminder - I've added it to the list.

Nickademus
February 28th, 2014, 23:56
Thanks. There's an ability damage one as well.

Trenloe
March 1st, 2014, 00:02
Thanks. There's an ability damage one as well.
Sorry, missed adding that to the list. It's there now. :)

Nickademus
March 1st, 2014, 00:15
Much obliged.

drvolk
March 11th, 2014, 11:25
At the moment i am working on an extension to loclize the PFRPG ruleset into my native language (german). This extension then also could be used to make localized version of other languages also.

I would be cool if the developers of the extension listed within this threat could also support localization by using the string resouce functionality which comes with FG 3.0.

Nickademus
March 11th, 2014, 15:28
Good idea.

Trenloe
July 5th, 2014, 22:48
New extension added - Player Effect Removal: http://www.fantasygrounds.com/forums/showthread.php?21546-Player-Effect-Removal-Extension

Trenloe
August 11th, 2014, 19:19
Added RTFallen's cool Encounter auto CR and XP calculation extension for PFRGP 3.0.6: http://www.fantasygrounds.com/forums/showthread.php?21823-Auto-XP-Calculator-%28Extension%29

Blackfoot
September 23rd, 2014, 22:48
Hmm.. I don't see the Change GM Portrait Extension on this list... are you only including the ones here that are 3.5/PF specific?

Trenloe
September 23rd, 2014, 22:53
Hmm.. I don't see the Change GM Portrait Extension on this list... are you only including the ones here that are 3.5/PF specific?
Only extensions specific to the 3.5e and/or PFRPG rulesets are included here. There's a link to the CoreRPG/Generic extensions thread in the first post.

Trenloe
October 22nd, 2014, 17:40
New extension added allowing Party Sheet Skill Rolls to be dragged to the HotKey bar: http://www.fantasygrounds.com/forums/showthread.php?22381-HotKey-Party-Sheet-Skill-Roll-Extension

Trenloe
November 12th, 2014, 01:34
With FG 3.0.9 being released today please keep in mind that your extensions may need updating - if you suddenly start getting errors, disable your extensions to see if there is a specific extension that is causing you issues - if so, contact the extension developer for a fix.

Updates in post #1 for some extensions that have been checked for FG 3.0.9 compatibility.

Trenloe
January 21st, 2015, 19:32
Attention!

With the release of v3.0.10 today (January 21st) some of these extensions will need updating. I've ran through checks of the extensions I'm responsible for and updated post #1.

The following extensions have been identified as needing updates (and have been updated):

Player Effect Removal.
Hotkey Party Skill Roll

Griogre
July 28th, 2015, 01:02
I've make a version of Alt Wound Colors for 3.5/Pathfinder and posted it up.

Trenloe
August 9th, 2015, 04:17
Update to the Languages Extension (http://www.fantasygrounds.com/forums/showthread.php?20332-Tenians-Language-Chat-Extension-for-select-FG-3-0-rulesets)- V3.4. 8th August 2015.

Feature update:

Added code for understanding all languages but can't speak them. Use a language name of "comprehend languages" or "understands all" on the character sheet. See post #1 for how to use this.
Added code for speaking all languages. Use a language name of "tongues" or "speaks all" on the character sheet. See post #1 for how to use this.
Added error handling for /setlanguage - needs two arguments to write to database. This avoids issues with blank entries.
/help slashhandler to return extension help.
Set default current language with /currentlanguage <language name>. See post #1 for how to use this.

darrenan
October 10th, 2015, 00:32
Please add http://www.fantasygrounds.com/forums/showthread.php?26351-Strain-Injury-HP-Variant-Extension to the list, thanks.

Trenloe
October 11th, 2015, 05:20
Please add http://www.fantasygrounds.com/forums/showthread.php?26351-Strain-Injury-HP-Variant-Extension to the list, thanks.
Done.

Blackfoot
November 7th, 2015, 20:06
Is there any word on which extensions are having issues with v3.1.3, which have been fixed, and which are safe to load as is?

darrenan
November 7th, 2015, 20:55
For mine: DCPlus didn't need any changes, and the Strain-Injury HP Variant extension did. The latter has already been updated and a new version is available.

dulux-oz
November 8th, 2015, 02:07
Is there any word on which extensions are having issues with v3.1.3, which have been fixed, and which are safe to load as is?

I've got new version coming out in a few days :)

Trenloe
November 9th, 2015, 01:58
A number of extensions require updates (see red highlighted entries in post #1).

Extension developers should verify if their extensions are compatible with FG v3.1.3.

dulux-oz
December 8th, 2015, 04:34
Hi Everyone,

Christmas has come early - I've released a number of new and/or updated Extensions today and have placed them in Post #1.

Merry Christmas!

Cheers

dulux-oz
January 4th, 2016, 02:53
Hi Everyone,

The LPak Community Project/Program has begun producing LPaks (Language Packs) for a number of FG Rulesets and Extensions, so I thought I'd add a link to the Project from this thread to help people find them / become more aware of them.

Cheers

dulux-oz
January 14th, 2016, 10:45
Hi Everyone,

New versions of all of the DOEs (and Manuals) have been released in their respective Threads.

The first post in this thread has also been updated

Enjoy!

Cheers

darrenan
March 29th, 2016, 20:12
New extension added to enable quickly doubling critical threat range by adding the 'keen' condition/effect to a target.

https://www.fantasygrounds.com/forums/showthread.php?30567-Keen-Improved-Critical-Extension

Trenloe
May 1st, 2016, 12:35
Added combat tracker timer: https://www.fantasygrounds.com/forums/showthread.php?30856-Combat-Timer-Extension-(v-0-0-1)

dulux-oz
May 8th, 2016, 06:53
Hi Everyone,

I've placed a link to my new DOE Sound Extension on Post #1.

New versions of all of the DOEs (and Manuals) have also been released in their respective Threads.

The first post in this thread has also been updated

Enjoy!

Cheers

Trenloe
June 4th, 2016, 18:42
Bug fix release of Party Sheet Hotkey skill roll extension available here: http://www.fantasygrounds.com/forums/showthread.php?22381-HotKey-Party-Sheet-Skill-Roll-Extension

Jwguy
June 9th, 2016, 16:27
Enhanced Items 3 now combines versions 1 and 2 with Sciencephile's permission.

This adds both GM Only and Charges fields.

RuleofThree
August 7th, 2016, 09:27
I have both the sound and the alignment extentions, neither of them are working for me. Ultimate subscription 3.1.7. Are they not updated to work with this update yet? Checked other rule sets (CoreRPG, 5E, etc) and just get a red 'x' displayed under extentions, doing something wrong here?

dulux-oz
August 7th, 2016, 10:29
I have both the sound and the alignment extentions, neither of them are working for me. Ultimate subscription 3.1.7. Are they not updated to work with this update yet? Checked other rule sets (CoreRPG, 5E, etc) and just get a red 'x' displayed under extentions, doing something wrong here?

Are you sure your using the latest DOE Extensions - including the latest DOEBase Extension?

RuleofThree
August 7th, 2016, 10:59
I am, but I found my problem. Put .ext in the mod folder, and .mod in the extension folder

dulux-oz
August 7th, 2016, 11:05
Yeap - that'll do it :)

Trenloe
August 12th, 2016, 06:37
New extension, allows assignment of XP to individual PCs in the Party Sheet.

https://www.fantasygrounds.com/forums/showthread.php?33599-Individual-PC-XP-assignment-extension-for-d20-based-rulesets

Trenloe
August 19th, 2016, 06:22
New Extension. Image Text Labels: https://www.fantasygrounds.com/forums/showthread.php?33696-Image-Text-Label-Extension

Jwguy
August 19th, 2016, 22:04
Putting these two here, for reference, as they haven't made it in, yet. Just so they don't get lost.

http://www.fantasygrounds.com/forums/showthread.php?21411-Reference-Manual-windowclass-for-3-5E-PFRPG-(Extension)
http://www.fantasygrounds.com/forums/showthread.php?25861-Extension-Enhanced-Items-2-for-3-5E-Pathfinder

Talyn
August 19th, 2016, 23:10
Putting these two here, for reference, as they haven't made it in, yet. Just so they don't get lost.

http://www.fantasygrounds.com/forums/showthread.php?21411-Reference-Manual-windowclass-for-3-5E-PFRPG-(Extension)


Technically this one is no longer necessary. Reference Manuals have been added to CoreRPG for use in any ruleset.

Trenloe
August 25th, 2016, 05:10
Updates to the Text label extension v1.1 - bug fixes and functionality improvements (edit, rename and move labels; change font size).

Download the new version (and watch the updated video) here: https://www.fantasygrounds.com/forums/showthread.php?33696-Image-Text-Label-Extension

Ken L
September 29th, 2016, 06:18
Statblock Import Extension: https://www.fantasygrounds.com/forums/showthread.php?34199-CreatureGen-Extension-Import-Stat-blocks-on-the-fly-with-populated-spells

dulux-oz
November 2nd, 2016, 04:56
Hi Everyone,

I've placed a link to my new DOE: OLE Extension on Post #1.

New FGv3.2-compatable versions of all of the DOEs (and Manuals) have also been released in their respective Threads.

The first post in this thread has also been updated

Enjoy!

Cheers

Blackfoot
November 2nd, 2016, 15:07
Has anyone come across any extension issues for PF/3.5 extensions in 3.2?

dulux-oz
November 2nd, 2016, 15:31
None that I know of. Why, got a problem?

Blackfoot
November 3rd, 2016, 00:27
None that I know of. Why, got a problem?Nope, running a game tonight and wanted to find out if there were any 'gotcha's waiting for me... (or everyone else for that matter)

Trenloe
November 5th, 2016, 01:47
Player Effect Removal extension updated to be FG v3.2.0 compatible: http://www.fantasygrounds.com/forums/showthread.php?21546-Player-Effect-Removal-Extension

Jwguy
November 6th, 2016, 05:02
The Encounters Extension appears to be incompatible with 3.2.0.

It loads fine, but it does cause errors and strange behavior when editing encounters in 3.5e

Trenloe
November 6th, 2016, 05:06
The Encounters Extension appears to be incompatible with 3.2.0.

It loads fine, but it does cause errors and strange behavior when editing encounters in 3.5e
Please report in the actual extension thread so the dev and anyone reading the thread is aware of it: http://www.fantasygrounds.com/forums/showthread.php?21823-Auto-XP-Calculator-(Extension) Thanks.

dulux-oz
November 16th, 2016, 08:12
Hi Everyone,

I've placed new FGv3.2.1-compatable versions of all of the DOEs in their respective Threads.

The first post in this thread has also been updated

Enjoy!

Cheers

Bidmaron
November 26th, 2016, 17:02
3.5E and PFRPG ruleset version update: FG 3.2.1 has been pushed via the FG update mechanism.

There are some changes to the 3.5E/PFRPG rulesets in this update, so some of the following extensions will need updating to work with FG 3.2.1.

Note: With the release of FG 3.0 some of these extensions might not work properly or be visible for selection in PFRPG campaigns - please comment in the specific extension thread if you experience issues.

Some generic FG 3.0 extensions that can be used with 3.5e and Pathfinder are available here: http://www.fantasygrounds.com/forums/showthread.php?20320-FG-3-0-CoreRPG-Extensions

These are the ones I have so far.


Player Effect Removal (http://www.fantasygrounds.com/forums/showthread.php?21546-Player-Effect-Removal-Extension) Allows players to remove effects that have applied Update to v1.1.4 required for FG v3.2.0 compatibility.
....
Pathfinder Statblock import (in game) (https://www.fantasygrounds.com/forums/showthread.php?34199-CreatureGen-Extension-Import-Stat-blocks-on-the-fly-with-populated-spells) Update for FG v3.2.0 compatibility.
....


....
A couple of questions on the comments:
On the first one, that means you have to update to the indicated version for it to work.
On the second one, does that mean it is incompatible until someone updates the extension?

Trenloe
November 26th, 2016, 17:14
On the first one, that means you have to update to the indicated version for it to work.
For the extension to have full compatibility, you have to update to the version specific to the most recent version of Fantasy Grounds. Older extensions may *appear* to work on the surface, but may not be using the most recent FG code and so may be breaking new features or causing strange behaviour.


On the second one, does that mean it is incompatible until someone updates the extension?
Assume extensions are incompatible until reviewed and either updated or indicated as compatible. See my previous comment.

See the "Extensions" section here: https://www.fantasygrounds.com/forums/showthread.php?34865-v3-2-x-Issues-Problems-after-updating-Random-script-errors-etc

Bidmaron
November 26th, 2016, 18:22
On the Statblock Import, the specific extension thread shows that it has been updated for 3.2 compatibility. I guess the reason the syntax used there is goofy compared to the other extensions is because the extension author in this case has not provided the extension as a download, so if you go the GitHub site to download, you get the most compatible version, and he doesn't track versions very well on his thread.

Trenloe
November 26th, 2016, 18:26
On the Statblock Import, the specific extension thread shows that it has been updated for 3.2 compatibility. I guess the reason the syntax used there is goofy compared to the other extensions is because the extension author in this case has not provided the extension as a download, so if you go the GitHub site to download, you get the most compatible version, and he doesn't track versions very well on his thread.
Yep, if developers don't use the "standard" that most community developers use then there will always be issues keeping on top of information/getting the right version. If you need more info on a specific extension then you should always check the individual extension thread. It takes a lot of work to monitor many extension threads and update the main extension index - so go to the "horses mouth" for specific questions and up-to-date extension information.

dulux-oz
January 19th, 2017, 02:47
Hi Everyone,

I've placed new FGv3.2.2-compatable versions of all of the DOEs in their respective Threads.

The first post in this thread has also been updated

Enjoy!

Cheers

Ken L
January 19th, 2017, 07:12
Yep, if developers don't use the "standard" that most community developers use then there will always be issues keeping on top of information/getting the right version. If you need more info on a specific extension then you should always check the individual extension thread. It takes a lot of work to monitor many extension threads and update the main extension index - so go to the "horses mouth" for specific questions and up-to-date extension information.

There is no standard if I recall outside what a loose collection of authors decided to use with several variations. I use Github, and the 'traditional' method is through forum posts with a download attached.

I'm not submitting to NPM or a package manager of any kind, This is simply some fast and loose lua I wrote while squeezing my stress ball between other endeavors. I find the title that you mentioned, 'community developer' to be an odd honorific that assumes that everyone who shared an extension freely is suddenly bound as a crowd sourced 'developer' and must adhere to an 'expected' protocol or become a pariah. I'd consider yourself a 'community developer' as you're more vested, I however am only a fan of good software should it remain so; but I will always advocate and defend FOSS.

Suffice to say that it works on 3.2 if you wish to update that main posting or not. The versioning I use is directly related to the version of the extension itself as opposed to the version of Fantasy Grounds.

Drakh
January 21st, 2017, 21:08
What's the signification of " DOE " ?!?

damned
January 22nd, 2017, 01:04
DOE stands for Dulux_Oz Extension

dulux-oz
January 22nd, 2017, 01:31
It's a little bit of "personal branding" and also serves to "group" all of the relevant Extensions to help indicate that they all share the same "look and feel", work together, etc, etc, etc :)

Nylanfs
January 22nd, 2017, 01:59
Preening is what it is. ;-P

dulux-oz
January 22nd, 2017, 02:09
Quod Erod Demonstratum

(I Gloat, I Preen, I Strut About Obnoxiously)

Drakh
January 22nd, 2017, 16:04
ok, thx ;)

dellanx
February 18th, 2017, 18:09
How does one open up the sound board in FG? Some of the instructions are a bit confusing. The potential is awesome, however. Thanks!

https://www.fantasygrounds.com/forums/attachment.php?attachmentid=13996&d=1462685299

Trenloe
February 18th, 2017, 18:53
How does one open up the sound board in FG? Some of the instructions are a bit confusing. The potential is awesome, however. Thanks!

https://www.fantasygrounds.com/forums/attachment.php?attachmentid=13996&d=1462685299
I recommend you look at the first post of the thread for this extension here: http://www.fantasygrounds.com/forums/showthread.php?31369-DOE-Sound-Extension

There's a link to a Wiki page and also a module you can download and activate within a campaign form in FG instructions.

Sasmira
March 9th, 2017, 14:01
4E Conversion of the 3.5E/PFRPG/5E player effect removal extension added here: http://www.fantasygrounds.com/forums/showthread.php?37099-4E-Player-Effect-Removal-Extension

Can you change the link on the first page plz ? it's the link from 4E and not from 3.5/Pathfinder

Trenloe
March 9th, 2017, 16:43
Can you change the link on the first page plz ? it's the link from 4E and not from 3.5/Pathfinder
Oops! Meant to post that in the 4E thread. Thanks for the heads up.

darrenan
April 15th, 2017, 02:30
Strain-Injury extension requires an update to v1.4.0 for FG 3.3.0.

dulux-oz
April 15th, 2017, 12:14
Most DOEs updated with new features and FGv3.3 compatible - see Post #1 for details.

Markjan
June 21st, 2017, 18:44
Hello Trenloe, hello all

As we didn't get any error returns so far, could you please update post #1 with our two new extensions ?

- Improved resizable PC sheet extension (see there: http://www.fantasygrounds.com/forums/showthread.php?38816-Improved-resizable-PC-sheet-extension)

- Comprehensive Effects Icon extension (see there : http://www.fantasygrounds.com/forums/showthread.php?38817-Comprehensive-Effects-Icon-extension)

Thank you ! :)

Trenloe
June 21st, 2017, 18:50
Hello Trenloe, hello all

As we didn't get any error returns so far, could you please update post #1 with our two new extensions ?

- Improved resizable PC sheet extension (see there: http://www.fantasygrounds.com/forums/showthread.php?38816-Improved-resizable-PC-sheet-extension)

- Comprehensive Effects Icon extension (see there : http://www.fantasygrounds.com/forums/showthread.php?38817-Comprehensive-Effects-Icon-extension)

Thank you ! :)
Done!

Minty23185Fresh
November 17th, 2017, 20:40
Hi. I wasn't sure if it would be appropriate, but it appears as though there is precedence and that it is common practice to list an extension that supports multiple rulesets in each of the ruleset's extensions list.

Field Filters for All Libraries has been enhanced to specifically support the CoreRPG, the 3.5E (and PFRPG), and 5E rulesets.

Please add the "Field Filters for All Libraries" extension to the 3.5E / PathFinder ruleset extensions list. Here is a link to the extension (https://www.fantasygrounds.com/forums/showthread.php?40954-Field-Filters-for-All-Libraries).

(I'll also put this request in to the CoreRPG thread).

Thank you.

Blackfoot
February 20th, 2018, 02:08
It doesn't look like the Enhanced Feats (http://www.fantasygrounds.com/forums/showthread.php?40814-Extension-Enhanced-Feats&highlight=enhanced+feats) extension made it onto the list. Personally I'd like to see this as part of the actual ruleset seeing as the current set up is actually a bit wrong in terms of the way Feat text is displayed.. it's a very small thing.. but.. yeah.

**Done**

Erin Righ
March 31st, 2018, 09:09
Hey all, this is a little extension that I shamelessly stole the code from SmiteWorks that puts one of 4 pages as your desktop decal. The pages I chose are duplicated, by hand, from the pages of Paizo's GM Screen. To use it, enable, then launch Fantasy Grounds and go to settings > Desktop: Decal Image , and change it to GM Screen 1 through 4 I have tested it with the official Paizo Desktop decal packages and it seem to work fine. Thanks to SmiteWorks for the code and LordEntrails for the idea, hope somebody finds it useful.

MODERATOR: Dedicated thread for this extension here: https://www.fantasygrounds.com/forums/showthread.php?43128-Erins-GM-Screen-Decal-extension

Bidmaron
April 1st, 2018, 06:47
Thanks, Erin. Got it downloaded.

Erin Righ
April 1st, 2018, 19:22
Feedback is appreciated and I included the PSD files in there so you can edit them yourselves to tweak them for your individual needs

Trenloe
April 3rd, 2018, 00:20
Hey all, this is a little extension that I shamelessly stole the code from SmiteWorks that puts one of 4 pages as your desktop decal. The pages I chose are duplicated, by hand, from the pages of Paizo's GM Screen. To use it, enable, then launch Fantasy Grounds and go to settings > Desktop: Decal Image , and change it to GM Screen 1 through 4 I have tested it with the official Paizo Desktop decal packages and it seem to work fine. Thanks to SmiteWorks for the code and LordEntrails for the idea, hope somebody finds it useful.
Thanks for doing this.

Please can you create a new thread for this extension - it will give it much more exposure, a place for discussion and updates, etc.. Being stuck on page 11 of the generic links/announcement thread is not really the best place for it to thrive!

Erin Righ
April 3rd, 2018, 01:41
Sure thing, mate

Blackfoot
April 20th, 2018, 03:41
Script Error: [string "scripts/manager_targeting.lua"]:10: attempt to call field 'setCustomDeleteCombatantHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:36: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:706: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)

Has anyone reported any extension issues in the latest update?
We had these errors tonight.
We were running, Enhanced Images, and Remove Effect extensions.

LordEntrails
April 20th, 2018, 05:42
Script Error: [string "scripts/manager_targeting.lua"]:10: attempt to call field 'setCustomDeleteCombatantHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:36: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:706: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)

Has anyone reported any extension issues in the latest update?
We had these errors tonight.
We were running, Enhanced Images, and Remove Effect extensions.
Not that I've seen with those extensions. But, always expect issues following an update until you check the extension thread to see if it has been updated.
Do note, I think the Remove Effects extension was obsoleted and the functionality was put into core a few revs ago.

Blackfoot
April 20th, 2018, 06:40
Do note, I think the Remove Effects extension was obsoleted and the functionality was put into core a few revs ago.
There is an updated (3.3.4) version of remove effects that still worked before the update.. but I doubt that's the issue with those errors.
I don't think remove effects messes with tokens and targeting... but I could be mistaken.

Trenloe
April 20th, 2018, 15:56
Script Error: [string "scripts/manager_targeting.lua"]:10: attempt to call field 'setCustomDeleteCombatantHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:36: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)
Script Error: [string "scripts/manager_token.lua"]:706: attempt to call field 'addCombatantFieldChangeHandler' (a nil value)

Has anyone reported any extension issues in the latest update?
We had these errors tonight.
We were running, Enhanced Images, and Remove Effect extensions.
When do you get those errors? i.e. what is happening in FG when they occur?

Have you double checked that the latest version of those extensions are running?

dulux-oz
April 24th, 2018, 09:54
All DOEs updated with FGv3.3.5 compatible - see Post #1 for details.

darrenan
November 26th, 2018, 22:51
Version 1.9 of the Strain-Injury Variant HP extension (http://www.fantasygrounds.com/forums/showthread.php?26351-Strain-Injury-HP-Variant-Extension) has been released. This addresses compatibility issues with the upcoming 3.3.7 release of FG. You can use it in the test channel now, do not use otherwise until 3.3.7 is released.

Kelrugem
November 26th, 2018, 22:55
Version 1.9 of the Strain-Injury Variant HP extension (http://www.fantasygrounds.com/forums/showthread.php?26351-Strain-Injury-HP-Variant-Extension) has been released. This addresses compatibility issues with the upcoming 3.3.7 release of FG. You can use it in the test channel now, do not use otherwise until 3.3.7 is released.

Cool, thank you very much :)

darrenan
December 15th, 2018, 02:09
New extension, PFRPG only, for automatically handling Mirror Images.

Mirror Image Handler extension (https://www.fantasygrounds.com/forums/showthread.php?46971-Mirror-Image-Handler-extension)

Bidmaron
December 15th, 2018, 03:25
Thanks, darrenan. Won't let me rep you right now.

Kelrugem
May 4th, 2019, 04:14
Am I allowed to ask if my extension can be added to the list? :)

Advanced effects for 3.5e and Pathfinder
(https://www.fantasygrounds.com/forums/showthread.php?48977-Advanced-3-5e-and-Pathfinder-effects)
It adds effects for fortification, halving of damage and ghost touch (also slight changes of the immediate action tackle box and of the handling of the damage resistances and vulnerabilities for the same damage type).

I hope it is okay to ask :) (in sense of, hopefully the extension has the quality needed to be added to the list)

damned
May 4th, 2019, 04:34
Am I allowed to ask if my extension can be added to the list? :)

Advanced effects for 3.5e and Pathfinder
(https://www.fantasygrounds.com/forums/showthread.php?48977-Advanced-3-5e-and-Pathfinder-effects)
It adds effects for fortification, halving of damage and ghost touch (also slight changes of the immediate action tackle box and of the handling of the damage resistances and vulnerabilities for the same damage type).

I hope it is okay to ask :) (in sense of, hopefully the extension has the quality needed to be added to the list)

Done - good work!

Kelrugem
May 4th, 2019, 04:36
Done - good work!

Cool, thank you :o

Kelrugem
May 11th, 2019, 00:44
Save versus tags (https://www.fantasygrounds.com/forums/showthread.php?49163-(Beta)-Extension-Save-versus-school-types-poison-sleep-and-other-arbitrary-tags)

Some new extension which helps saves against specific types of schools and more general tags :) So far it worked for me and noone reported any major bug so far, thus, I hope it could maybe added to the list, too :)

merkvah
May 14th, 2019, 08:22
Is there a module in this thread which contains the Magus class? I'd create the class in FG myself, but I don't have any idea how. =( sorry.

Blahness98
May 14th, 2019, 18:55
This thread does not have modules, you will be looking at this thread (https://www.fantasygrounds.com/forums/showthread.php?16074-List-of-Modules). But, here (https://www.fantasygrounds.com/forums/showthread.php?19279-Character-Class-Module&p=153629&viewfull=1#post153629)is a module with the magus class. Hasn't been updated and is not drag and drop ready, but it has the info.